%global pypi_name mlxtend

Name:           python-%pypi_name
Version:        0.23.2
Release:        1%{?dist}
Summary:        Mlxtend (machine learning extensions) is a Python library of useful tools for the day-to-day data science tasks

License:        BSD
URL:            https://github.com/rasbt/mlxtend
Source:         %{url}/archive/v%{version}/%pypi_name-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Mlxtend (machine learning extensions) is a Python library of useful tools for the day-to-day data science tasks.}

%description %_description

%package -n python3-%pypi_name
Summary:        %{summary}
Recommends:     python3-%pypi_name+dev

%description -n python3-%pypi_name %_description


%prep
%autosetup -p1 -n %pypi_name-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %pypi_name


%check
# We are skipping:
# * TensorFlow related tests (keras)
# * feature_groups because it requires net access
# * medium_lambda is failing with division by zero
# * holdout (RuntimeWarning: Degrees of freedom <= 0 for slice)
# %%pytest --pyargs -p no:warnings -k 'not keras and not feature_groups and not medium_lambda and not holdout'

# for d in %pypi_name/*;
# do
#     if [[ -d "$d" && -e "$d/tests" ]]; then
#         %%pytest $d/ -p no:warnings -k 'not keras and not feature_groups and not medium_lambda and not holdout'
#     fi
# done

%files -n python3-%pypi_name -f %{pyproject_files}
%doc README.md paper.bib paper.md docs

%changelog
* Thu Nov 14 2024 José Matos <jamatos@fedoraproject.org> - 0.23.2-1
- Update to 0.23.2

* Wed Aug 14 2024 José Matos <jamatos@fedoraproject.org> - 0.23.1-2
- Use pytests explicitly

* Tue Aug 13 2024 José Matos <jamatos@fedoraproject.org> - 0.23.1-1
- Update to 0.23.1

* Tue Oct 10 2023 José Matos <jamatos@fedoraproject.org> - 0.23-1
- Update package and spec file

* Thu Oct 21 2021 José Matos <jamatos@fep.up.pt> - 1.0.2-1
- Initial package.
